### Name: generateExprVal.method.pdnn
### Title: Compute PM correction and summary expression value
### Aliases: generateExprVal.method.pdnn pmcorrect.pdnn
###   pmcorrect.pdnnpredict
### Keywords: manip

### ** Examples


data(hgu95av2.pdnn.params)
library(affydata)
data(Dilution)

## only one CEL to go faster
abatch <- Dilution[, 1]

## get the chip specific parameters
params <- find.params.pdnn(abatch, hgu95av2.pdnn.params)

## The thrill part: do we get like in the Figure 1-a of the reference ?
par(mfrow=c(2,2))
##ppset.name <- sample(geneNames(abatch), 2)
ppset.name <- c("41206_r_at", "31620_at")
ppset <- probeset(abatch, ppset.name)
for (i in 1:2) {
##ppset[[i]] <- transform(ppset[[i]], fun=log) # take the log as they do
probes.pdnn <- pmcorrect.pdnnpredict(ppset[[i]], params,
                                     params.chiptype=hgu95av2.pdnn.params)
##probes.pdnn <- log(probes.pdnn)
plot(ppset[[i]], main=paste(ppset.name[i], "\n(raw intensities)"))
matplotProbesPDNN(probes.pdnn, main=paste(ppset.name[i], "\n(predicted intensities)"))
}

## pick the 50 first probeset IDs
## (to go faster)
ids <- geneNames(abatch)[1:100]

## compute the expression set (object of class 'exprSet')
eset <- computeExprSet(abatch, pmcorrect.method="pdnn",
                       summary.method="pdnn", ids=ids,
                       summary.param = list(params, params.chiptype=hgu95av2.pdnn.params))




